%define _default_patch_fuzz 2

%define debug 0
%define final 1 

%define kde_version 3.5.9
%define qt_version 3.3.8b
# unfortunately, this doesn't work for 3.3.8b which still identifies as 3.3.8
#global qt_ver %(pkg-config --modversion qt-mt 2>/dev/null || echo %{qt_version})
%define qt_ver %{qt_version}

%define make_cvs 1

Name:    kdevelop
Summary: Integrated Development Environment for C++/C
Epoch:   9
Version: 3.5.4
Release: 6%{?dist}

License: GPLv2
URL: http://www.kdevelop.org/
Group: Development/Tools
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source: ftp://ftp.kde.org/pub/kde/stable/apps/KDE3.x/ide/%{name}-%{version}.tar.bz2
Source1: ftp://129.187.206.68/pub/unix/ide/KDevelop/c_cpp_reference-2.0.2_for_KDE_3.0.tar.bz2

Patch1: c_cpp_reference-2.0.2-config.patch
Patch2: kdevelop-2.1.5_for_KDE_3.1-doc.patch
Patch3: kdevelop-3.5.4-gcc-44.patch
# improved integration for the KDE 4 template - no special KDE 4 build environment needed in Fedora
Patch4: kdevelop-3.5.2-kde4template.patch

#upstream patches

Provides: kdevelop3 = %{version}-%{release}

Requires: %{name}-libs%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}

Requires: kdelibs3-devel >= %{kde_version}
# embedded konsole (#507653)
Requires: kdebase3
Requires: make
Requires: perl
Requires: automake libtool 
Requires: flex >= 2.5.4
%if 0%{?fedora} < 9
Requires: qt-designer
%else
Requires: qt3-designer
%endif
Requires: gettext
Requires: ctags
## Skip these, for now -- Rex
#Requires(hint): htdig
#Source3: kdevelop-htdig.conf
#Requires(hint): kdelibs3-apidocs
#Requires(hint): ark

%if %{make_cvs}
BuildRequires: automake libtool
%endif
BuildRequires: kdelibs3-devel >= %{kde_version}
BuildRequires: kdelibs3-apidocs
%if 0%{?fedora} < 9
BuildRequires: qt-devel-docs
%else
BuildRequires: qt3-devel-docs
%endif
BuildRequires: db4-devel
BuildRequires: flex
# FIXME: No CVS support in KDevelop? This is going to suck...
# Requires kdesdk3.
%if 0%{?fedora} < 9
# for cvs plugin
BuildRequires: kdesdk3-devel
%endif
BuildRequires: subversion-devel neon-devel
# looks like this is dragged in by apr-devel (dep of subversion-devel), but not
# a dependency
BuildRequires: openldap-devel

## ancient, deprecated?  -- Rex
#Obsoletes: kdevelop-c_c++_ref

%description
The KDevelop Integrated Development Environment provides many features
that developers need as well as providing a unified interface to programs
like gdb, the C/C++ compiler, and make. KDevelop manages or provides:

All development tools needed for C++ programming like Compiler,
Linker, automake and autoconf; KAppWizard, which generates complete,
ready-to-go sample applications; Classgenerator, for creating new
classes and integrating them into the current project; File management
for sources, headers, documentation etc. to be included in the
project; The creation of User-Handbooks written with SGML and the
automatic generation of HTML-output with the KDE look and feel;
Automatic HTML-based API-documentation for your project's classes with
cross-references to the used libraries; Internationalization support
for your application, allowing translators to easily add their target
language to a project;

KDevelop also includes WYSIWYG (What you see is what you get)-creation
of user interfaces with a built-in dialog editor; Debugging your
application by integrating KDbg; Editing of project-specific pixmaps
with KIconEdit; The inclusion of any other program you need for
development by adding it to the "Tools"-menu according to your
individual needs.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Provides: kdevelop3-devel = %{version}-%{release}
Requires: %{name}-libs%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: kdelibs3-devel
%description devel
%{summary}.

%package libs
Summary: %{name} runtime libraries
Group:   System Environment/Libraries
Requires: kdelibs3 >= %{version}
# helps multilib upgrades
Obsoletes: kdevelop < 9:3.5.4-6
# include to be paranoid, installing libs-only is still mostly untested -- Rex
Requires: %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
%description libs
%{summary}.



%prep

%setup -q -a1
%patch1 -p0 -b .config
%patch2 -p1 -b .doc
%patch3 -p1 -b .gcc44
%patch4 -p1 -b .kde4template

%if %{make_cvs}
# hack/fix for newer automake
  sed -iautomake -e 's|automake\*1.10\*|automake\*1.1[0-5]\*|' admin/cvs.sh
  rm -rf c_cpp_reference-2.0.2_for_KDE_3.0/admin
  cp -a admin c_cpp_reference-2.0.2_for_KDE_3.0/
  make -C c_cpp_reference-2.0.2_for_KDE_3.0 -f admin/Makefile.common cvs
  make -f admin/Makefile.common cvs
%endif


%build
QTDIR="" && source /etc/profile.d/qt.sh

# c references
pushd c_cpp_reference-2.0.2_for_KDE_3.0
%configure \
  --with-qt-libraries=$QTDIR/lib \
  --with-qt-includes=$QTDIR/include \
  --with-extra-libs=%{_libdir}
popd

%configure \
   --enable-new-ldflags \
   --disable-dependency-tracking \
   --disable-rpath \
%if %{debug} == 0
   --disable-debug \
   --disable-warnings \
%endif
%if %{final}
  --enable-final \
%endif
  --with-qtdoc-dir=%{_docdir}/qt-devel-%{qt_ver}/html/ \
  --with-kdelibsdoc-dir=%{_docdir}/HTML/en/kdelibs-apidocs/ \
  --with-extra-libs=%{_libdir}

# parallel make disabled because otherwise main.cpp can get built before
# profileeditorbase.h is fully generated
make
make %{?_smp_mflags} -C c_cpp_reference-2.0.2_for_KDE_3.0


%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install
make -C c_cpp_reference-2.0.2_for_KDE_3.0 DESTDIR=%{buildroot} install

# remove useless files
rm -rf %{buildroot}%{_prefix}/kdevbdb


%post
for f in hicolor locolor ; do
  touch --no-create %{_datadir}/icons/$f 2> /dev/null ||:
  gtk-update-icon-cache -q %{_datadir}/icons/$f 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%postun
for f in hicolor locolor ; do
  touch --no-create %{_datadir}/icons/$f 2> /dev/null ||:
  gtk-update-icon-cache -q %{_datadir}/icons/$f 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_docdir}/HTML/en/*
%{_bindir}/*
%{_libdir}/kde3/*
%{_libdir}/kconf_update_bin/*
%{_datadir}/applications/kde/*
%{_datadir}/apps/*
%{_datadir}/config/*
%{_datadir}/desktop-directories/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/icons/locolor/*/*/*
%{_datadir}/mimelnk/application/*
%{_datadir}/mimelnk/text/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*

%files libs
%defattr(-,root,root,-)
%{_libdir}/lib*.so.*
%{_libdir}/lib*.la

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_includedir}/*


%changelog
* Sat Sep 12 2009 Rex Dieter <rdieter@fedoraproject.org> 9:3.5.4-6
- make -libs unconditional
- Requires: kdebase3 (#507653)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 9:3.5.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 18 2009 Rex Dieter <rdieter@fedoraproject.org> - 9:3.5.4-4
- FTBFS kdevelop-3.5.4-3.fc11 (#511768)

* Mon Mar 02 2009 Than Ngo <than@redhat.com> - 3.5.4-3
- fix build problem with gcc-4.4

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 9:3.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 18 2008 Than Ngo <than@redhat.com> - 3.5.4-1
- 3.5.4

* Sat Aug 30 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 9:3.5.3-1
- update to 3.5.3
- drop svn patch (fixed upstream)

* Mon Jul 07 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 9:3.5.2-3
- fix FTBFS (add BR openldap-devel to work around missing dep in apr-devel)

* Fri Jun 06 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 9:3.5.2-2
- improve integration of the KDE 4 app template

* Mon May 19 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 9:3.5.2-1
- update to 3.5.2
- F9+: BR qt3-devel-docs instead of qt-devel-docs
- F9+: Require qt3-designer instead of qt-designer
- drop backported fix_missing_output_kdev3.5.1 patch

* Tue Mar 04 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 9:3.5.1-4
- BR kdelibs3-apidocs instead of kdelibs-apidocs
- hardcode qt_ver again because 3.3.8b reports itself as 3.3.8

* Thu Feb 28 2008 Than Ngo <than@redhat.com> 9:3.5.1-3
- apply upstream patch to fix outputview

* Fri Feb 15 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 9:3.5.1-1
- update to 3.5.1 (KDE 3.5.9)
- drop backported autosave patch (fixed upstream)

* Sat Feb 09 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 9:3.5.0-7
- disable parallel make because of a race condition

* Sat Feb 09 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 9:3.5.0-6
- rebuild for GCC 4.3

* Thu Dec 06 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> - 9:3.5.0-5
- drop CVS integration in F9+ for now because it requires kdesdk3

* Tue Oct 31 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 9:3.5.0-4
- %%post/%%postun libs -p /sbin/ldconfig
- -libs conditional (f8+)

* Tue Oct 30 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 9:3.5.0-3
- -devel, -libs subpkgs, multiarch conflicts (#341791)

* Thu Oct 25 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 9:3.5.0-2
- autosave patch

* Sat Oct 13 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 9:3.5.0-1
- kdevelop-3.5.0 (kde-3.5.8)

* Mon Sep 03 2007 Than Ngo <than@redhat.com> - 9:3.4.1-5
- rebuilt against apr

* Wed Aug 29 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 9:3.4.1-4
- License: GPLv2
- (Build)Requires: kdelibs3-devel kdesdk3-devel
- svn patch (#265481)

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 9:3.4.1-3
- Rebuild for selinux ppc32 issue.

* Sun Jun 17 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 9:3.4.1-2
- merge missed changes from F-7 branch
- make qt-devel-doc/qt_ver detection more robust

* Sun Jun 17 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 9:3.4.1-1
- cleanup 

* Thu Jun 14 2007 Than Ngo <than@redhat.com> - 9:3.4.1-1.fc7
- 3.4.1

* Thu Feb 08 2007 Than Ngo <than@redhat.com> 9:3.3.6-1.fc7
- 3.3.6

* Thu Aug 10 2006 Than Ngo <than@redhat.com> 9:3.3.4-1
- rebuild

* Mon Jul 24 2006 Than Ngo <than@redhat.com> 9:3.3.4-0.pre1
- prerelease of 3.3.4 (from the first-cut tag)

* Mon Jul 17 2006 Than Ngo <than@redhat.com> 9:3.3.3-3
- rebuild

* Fri Jul 14 2006 Than Ngo <than@redhat.com> 9:3.3.3-2
- cleanup specfile

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 9:3.3.3-1.1
- rebuild

* Mon Jun 05 2006 Than Ngo <than@redhat.com> 9:3.3.3-1
- update to 3.3.3

* Wed Apr 05 2006 Than Ngo <than@redhat.com> 9:3.3.2-1
- update to 3.3.2

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 9:3.3.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 9:3.3.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sun Feb 05 2006 Than Ngo <than@redhat.com> 9:3.3.1-1 
- 3.3.1

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Sun Dec 04 2005 Than Ngo <than@redhat.com> 3.3.0-1
- 3.3.0

* Tue Oct 25 2005 Than Ngo <than@redhat.com> 9:3.2.92-1
- update to KDE 3.5 beta2

* Thu Oct 06 2005 Than Ngo <than@redhat.com> 9:3.2.91-1
- update to KDE 3.5 beta 1

* Thu Sep 22 2005 Than Ngo <than@redhat.com> 9:3.2.2-2
- fix uic build problem

* Thu Aug 11 2005 Than Ngo <than@redhat.com> 9:3.2.2-1
- update to 3.2.2

* Thu Jul 07 2005 Than Ngo <than@redhat.com> 8:3.2.1-3
- fix uninitialized variable warning #162367

* Thu Jun 30 2005 Than Ngo <than@redhat.com> 9:3.2.1-2
- apply patch to fix undefined symbol issue #162146

* Wed Jun 29 2005 Than Ngo <than@redhat.com> 9:3.2.1-1
- 3.2.1
- fix gcc4 build problem

* Wed Apr 13 2005 Than Ngo <than@redhat.com> 9:3.2.0-2
- fix wrong qtdoc path

* Fri Mar 18 2005 Than Ngo <than@redhat.com> 9:3.2.0-1
- 3.2.0

* Fri Mar 04 2005 Than Ngo <than@redhat.com> 9:3.2.0-0.rc1.2
- rebuilt against gcc-4.0.0-0.31

* Tue Mar 01 2005 Than Ngo <than@redhat.com> 9:3.2.0-0.rc1.1
- KDE 3.4.0 rc1

* Mon Feb 21 2005 Than Ngo <than@redhat.com> 9:3.1.92-0.1
- KDE-3.4 beta2

* Sun Dec 05 2004 Than Ngo <than@redhat.com> 9:3.1.2-0.1
- update to 3.1.2

* Sun Oct 24 2004 Warren Togami <wtogami@redhat.com>
- req libtool used by kdevelop

* Sat Oct 16 2004 Than Ngo <than@redhat.com> 9:3.1.1-2
- rhel rebuilt

* Wed Oct 13 2004 Than Ngo <than@redhat.com> 9:3.1.1-1
- update to 3.1.1

* Thu Sep 02 2004 Than Ngo <than@redhat.com> 3.1.0-2
- remove kdevelop-gdb_shared_library.patch, it's include in new upstream
- cleanup specfile 

* Wed Sep 01 2004 Than Ngo <than@redhat.com> 3.1.0-1
- update to 3.1.0

* Tue Aug 10 2004 Than Ngo <than@redhat.com> 3.1.0-0.1.rc2
- update to 3.1.0 rc2

* Sat Jun 19 2004 Than Ngo <than@redhat.com> 3.0.4-1 
- update to 3.0.4

* Thu Apr 15 2004 Than Ngo <than@redhat.com> 3.0.3-2
- fixed multiple duplicate names, bug #117940

* Wed Apr 14 2004 Than Ngo <than@redhat.com> 9:3.0.3-1
- update to 3.0.3

* Tue Apr 06 2004 Than Ngo <than@redhat.com> 9:3.0.2-2
- fix a bug in creating of new PHP project that causes kdevelop to crash, bug #117113

* Tue Mar 09 2004 Than Ngo <than@redhat.com> 9:3.0.2-1
- rebuild

* Fri Mar 05 2004 Than Ngo <than@redhat.com> 9:3.0.2-0.1
- 3.0.2 release

* Sun Feb 08 2004 Than Ngo <than@redhat.com> 9:3.0.0-0.2
- rebuilt against qt-3.3.0

* Mon Feb 02 2004 Than Ngo <than@redhat.com> 9:3.0.0-0.1
- 3.0.0 release

* Thu Jan 22 2004 Than Ngo <than@redhat.com> 8:3.0.0r1-0.1
- 3.0.0 RC1

* Wed Dec 10 2003 Than Ngo <than@redhat.com> 8:3.0.0b2-0.3
- included BuildRequires: db4-devel

* Tue Dec 02 2003 Than Ngo <than@redhat.com> 8:3.0.0b2-0.2
- 3.0.0 Beta 2 respin

* Mon Dec 01 2003 Than Ngo <than@redhat.com> 8:3.0.0b2-0.1
- 3.0.0 Beta 2
- remove unneeded files: kdevelop-htdig.conf, admin-1.0.tar.gz

* Thu Nov 27 2003 Than Ngo <than@redhat.com> 8:3.0.0b1-0.2
- get rid of rpath

* Thu Nov 13 2003 Than Ngo <than@redhat.com> 8:3.0.0b1-0.1
- 3.0.0 Beta1
- po files moved in kde-i18n
- cleanup

* Tue Oct 21 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add a %%clean specfile target

* Mon Oct 13 2003 Than Ngo <than@redhat.com> 8:2.1.5-13
- fix documention localtion

* Wed Aug 20 2003 Than Ngo <than@redhat.com> 8:2.1.5-12
- fix build problem with gcc 3.3

* Wed Jun 25 2003 <than@redhat.com> 2.1.5-11
- rebuilt

* Tue Jun 10 2003 <than@redhat.com> 2.1.5-10
- fix templates bug (bug #88718)

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  3 2003 Jeff Johnson <jbj@redhat.com>
- add explicit epoch's where needed.

* Tue May 27 2003 <than@redhat.com> 2.1.5-7
- rebuild

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 21 2003 <than@redhat.com> 2.1.5-2
- get rid of gcc path from dependency_libs

* Fri Jan 24 2003 <than@redhat.com> 2.1.5-1
- 2.1.5 release
- update c_cpp_reference
- cleanup sepcfile
- remove templates, which is now in new upstream
- remove unneeded c_cpp_reference-2.0.1-config.patch
- add missing mo files
- fixed #75084, #73128, #70656, #77767, #74425

* Wed Jan 22 2003 Tim Powers <timp@redhat.com> 2.1.4-6
- rebuilt

* Wed Jan  8 2003 Jeff Johnson <jbj@redhat.com> 2.1.4-5
- don't include -debuginfo files in package.

* Tue Dec 31 2002 Than Ngo <than@redhat.com> 2.1.4-4
- fix templates (bug #80745)

* Tue Dec 17 2002 Than Ngo <than@redhat.com> 2.1.4-3
- enable kdoc

* Mon Dec  9 2002 Than Ngo <than@redhat.com> 2.1.4-2
- fix build problem on s390/s390x
- fix bug #78866

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 2.1.4-1
- update to 2.1.4

* Mon Oct 07 2002 Phil Knirsch <pknirsch@redhat.com> 2.1.3-3.2
- Fixed build for s390x.

* Thu Sep 12 2002 Than Ngo <than@redhat.com> 2.1.3-3.1
- clean up specfile for x86_64/ppc (bug #73862)

* Sun Sep  1 2002 Than Ngo <than@redhat.com> 2.1.3-3
- Add fix to show/hide KaboutKDE and Report Bug menu item over
  KDE Action Restrictions in kdeglobals

* Tue Aug 27 2002 Than Ngo <than@redhat.com> 2.1.3-2
- move kdevelop in X-Red-Hat-Base

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 2.1.3-1
- 2.1.3
- Adapted a patch file to 2.1.3

* Sun Aug  5 2002 Than Ngo <than@redhat.com> 2.1.2-3
- fixed desktop file issue

* Tue Jul 23 2002 Tim Powers <timp@redhat.com>
- build using gcc-3.2-0.1

* Tue Jul 09 2002 Than Ngo <than@redhat.com> 2.1.2-1
- 2.1.2 for kde 3.0.2
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 19 2002 Than Ngo <than@redhat.com> 2.1.1-2
- don't forcibly strip binaries

* Sun Jun  2 2002 Than Ngo <than@redhat.com> 2.1.1-1
- 2.1.1

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-3
- Use automake15

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-2
- Change sonames

* Wed Mar 27 2002 Than Ngo <than@redhat.com> 2.1-1
- final

* Wed Mar 27 2002 Than Ngo <than@redhat.com> 2.1-0.cvs20020326.1
- update

* Wed Mar 20 2002 Than Ngo <than@redhat.com> 2.1rc3-1
- update to 2.1rc3

* Sun Mar 17 2002 Than Ngo <than@redhat.com> 2.1rc2-1
- update to 2.1rc2

* Sun Mar 10 2002 Than Ngo <than@redhat.com> 2.1beta2-3
- rebuild against new kdelibs

* Sun Mar 10 2002 Than Ngo <than@redhat.com> 2.1beta2-2
- fixed Strange characters appear in the output window (bug #59217)
- fixed return-line feed sign in Kdevelop setup tool (bug #55032)

* Wed Mar  8 2002 Than Ngo <than@redhat.com> 2.1beta2-1
- update to 2.1beta2

* Wed Jan 16 2002 Than Ngo <than@redhat.com> 2.1beta1-2
- rebuild against new kdelibs

* Wed Jan  9 2002 Than Ngo <than@redhat.com> 2.1beta1-1
- update to 2.1 beta1
- fix build against gcc 3
- fix some typo bugs
- get rid of libkfile
- update c_cpp_reference to 2.0.1

* Mon Oct 22 2001 Than Ngo <than@redhat.com> 2.0-1
- add patch to show non lattin1 font in build-in editor correct (bug #54457)

* Sat Sep 22 2001 Than Ngo <than@redhat.com> 2.0-2
- fix a bug in creating documentation index when running KDevelop Setup (bug #52760)
- backport some major bugfixes from 2.0.1

* Mon Jul 30 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.0-0.cvs20010730.1
- Don't crash on startup

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.0-0.cvs20010724.1
- Fix file list

* Mon Jul 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.0-0.cvs20010723.1
- Update

* Mon Feb 26 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Yet another respin - printing was broken.

* Sat Feb 24 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update the C/C++ reference guide docs. The older version had a
  couple of examples that won't work with gcc 2.96-*

* Thu Feb 22 2001 Than Ngo <than@redhat.com>
- fix version number

* Wed Feb 21 2001 Than Ngo <than@redhat.com>
- 1.4-respin

* Tue Feb 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.4

* Wed Feb 14 2001 Than Ngo <than@redhat.com>
- update (only bugfixes)
- fix up kdelibs documentation path
- fix a dependency problem with kde-i18n package (Bug #27675)
- add qt-designer into requires

* Sun Feb 11 2001 Than Ngo <than@redhat.com>
- fixed to build on s390

* Tue Feb 06 2001 Than Ngo <than@redhat.com>
- update, only bugfixes

* Wed Jan 24 2001 Than Ngo <than@redhat.com>
- hacked for building of KDE references

* Tue Jan 23 2001 Than Ngo <than@redhat.com>
- work-around to build on alpha

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Wed Jan 10 2001 Than Ngo <than@redhat.com>
- update new snapshot, only require KDE2/Qt2

* Fri Dec 22 2000 Than Ngo <than@redhat.com>
- fixed dependency problem with kde-i18n

* Thu Dec 21 2000 Than Ngo <than@redhat.com>
- updated to 1.4beta1 with KDE2 support
- fixed to build on s390
- fixed some broken codes
 
* Fri Dec 8 2000 Than Ngo <than@redhat.com>
- fixed for building on ia64
 
* Wed Nov 15 2000 Than Ngo <than@redhat.com>
- build snapshot 20001112, it works now with KDE2 and kde1-compat
- fix libtool to build on sparc and alpha
- don't use make -j
 
* Sun Aug 13 2000 Than Ngo <than@redhat.com>
- fix kdelibsdoc-dir to show kdelibs-1.1.2 html docu correct
 
* Tue Aug 01 2000 Than Ngo <than@redhat.de>
- add missing ldconfig in %post and %postun section (Bug #14924)
- add missing C references stuff to kdevelop
 
* Sun Jul 30 2000 Than Ngo <than@redhat.de>
- rebuilt against compat-egcs-c++, put KDE1 under /usr
- cleanup specfile
 
* Tue Jul 25 2000 Than Ngo <than@redhat.de>
- fix dependency problem
 
* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- rebuilt against compat-libstdc++
 
* Mon Jul 17 2000 Than Ngo <than@redhat.de>
- install under /usr/share instead /usr/lib/kde1-compat/share,
  fix dependency problem
 
* Sat Jul 15 2000 Than Ngo <than@redhat.de>
- rebuilt with egcs-c++-1.1.2

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild
 
* Mon Jul 03 2000 Than Ngo <than@redhat.de>
- fix docdir
- add requires kdebase
 
* Sun Jul 02 2000 Than Ngo <than@redhat.de>
- rebuilt with  kde1-compat
 
* Sun Jun 18 2000 Than Ngo <than@redhat.de>
- rebuilt in the new build environment, fix docdir
- FHS packaging
 
* Thu Jun 08 2000 Than Ngo <than@redhat.de>
- update to 1.2
- move from powertools to main CD
- use %%configure
 
* Mon Apr 3 2000 Ngo Than <than@redhat.de>
- fix up reference (Bug #10368)
 
* Tue Feb 15 2000 Bernhard Rosenkränzer <bero@redhat.com>
- Fix up documentation path (Bug #7291)
- Update to current stable branch - this should fix up the debugger problem
- clean up spec file
 
* Fri Jan  6 2000 Bernhard Rosenkränzer <bero@redhat.com>
- Update to current stable branch
- Adapt to 6.2 Qt libraries
- Use BuildPrereq
 
* Wed Jan 05 2000 Ngo Than <than@redhat.de>
- added patch for alpha
 
* Tue Dec 21 1999 Ngo Than <than@redhat.de>
- updated kdevelop-1.0 release
 
* Tue Nov 16 1999 Preston Brown <pbrown@redhat.com>
- kdevelop 1.0beta4.1, docdir added, using DESTDIR env. variable.
 
* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- initial packaging for 6.1.
